PETSc version 3.17.4
Fix/Edit manual page

# SNESFASFullSetTotal

Use total residual restriction and total interpolation on the initial down and up sweep of full FAS cycles

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASFullSetTotal(SNES snes,PetscBool total)

Logically Collective on SNES

### Input Parameters

| snes | - the multigrid context
| total | - whether to use total restriction / interpolatiaon or not (the alternative is defect restriction and correction interpolation)

### Options Database Key

| -snes_fas_full_total | - Use total restriction and interpolation on the initial down and up sweeps for the full FAS cycle

Note: this option is only significant if the interpolation of a coarse correction (MatInterpolate()) is significantly different from total solution interpolation (DMInterpolateSolution()).

### See Also

SNESFASSetNumberSmoothUp(), DMInterpolateSolution()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages